## r-bioc-biocstyle 2.18.1+dfsg

=== DESCRIPTION ===
Package: BiocStyle
Title: Standard styles for vignettes and other Bioconductor documents
Description: Provides standard formatting styles for Bioconductor PDF
    and HTML documents. Package vignettes illustrate use and
    functionality.
Version: 2.18.1
Author: Andrzej Oleś, Martin Morgan, Wolfgang Huber
Maintainer: Bioconductor Package Maintainer <maintainer@bioconductor.org>
Imports: bookdown, knitr (>= 1.30), rmarkdown (>= 1.2), stats, utils,
        yaml, BiocManager
Suggests: BiocGenerics, RUnit, htmltools
biocViews: Software
License: Artistic-2.0
VignetteBuilder: knitr
Encoding: UTF-8
URL: https://github.com/Bioconductor/BiocStyle
BugReports: https://github.com/Bioconductor/BiocStyle/issues
RoxygenNote: 6.1.0
git_url: https://git.bioconductor.org/packages/BiocStyle
git_branch: RELEASE_3_12
git_last_commit: 956f065
git_last_commit_date: 2020-11-24
Date/Publication: 2020-11-24
NeedsCompilation: no
Packaged: 2020-11-24 23:31:13 UTC; biocbuild

=== debian/changelog ===
r-bioc-biocstyle (2.18.1+dfsg-3) unstable; urgency=medium

  * Team upload
  * Move texinfo back to Test-Depends
  * Disable Testsuite: autopkgtest-pkg-r

 -- Graham Inggs <ginggs@debian.org>  Wed, 13 Jan 2021 18:22:11 +0000

r-bioc-biocstyle (2.18.1+dfsg-2) unstable; urgency=medium

  * Team upload
  * Move texinfo from Test-Depends to Depends to fix autopkgtests

 -- Graham Inggs <ginggs@debian.org>  Wed, 13 Jan 2021 09:45:05 +0000

r-bioc-biocstyle (2.18.1+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)
  * Test-Depends: texlive-plain-generic

 -- Andreas Tille <tille@debian.org>  Mon, 04 Jan 2021 19:28:45 +0100

r-bioc-biocstyle (2.18.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Sat, 31 Oct 2020 17:51:57 +0100

r-bioc-biocstyle (2.16.0+dfsg-2) unstable; urgency=medium

  * Source-only upload

 -- Andreas Tille <tille@debian.org>  Thu, 29 Oct 2020 17:46:45 +0100

r-bioc-biocstyle (2.16.0+dfsg-1) unstable; urgency=medium

  * Initial release (closes: #950781)

 -- Andreas Tille <tille@debian.org>  Wed, 28 Oct 2020 16:46:51 +0100

=== debian/control ===
Source: r-bioc-biocstyle
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
#Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-bookdown,
               r-cran-knitr (>= 1.30),
               r-cran-rmarkdown,
               r-cran-yaml,
               r-cran-biocmanager
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-biocstyle
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-biocstyle.git
Homepage: https://bioconductor.org/packages/BiocStyle/
Rules-Requires-Root: no

Package: r-bioc-biocstyle
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends},
# <dh-update-R>do not delete this</dh-update-R>
         texlive-bibtex-extra
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: standard styles for vignettes and other Bioconductor documents
 Provides standard formatting styles for Bioconductor PDF
 and HTML documents. Package vignettes illustrate use and
 functionality.

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-runit, texinfo, texlive, texlive-latex-extra, texlive-fonts-extra, lmodern, texlive-plain-generic
Restrictions: allow-stderr

## r-bioc-biocstyle 2.22.0+dfsg

=== DESCRIPTION ===
Package: BiocStyle
Title: Standard styles for vignettes and other Bioconductor documents
Description: Provides standard formatting styles for Bioconductor PDF
    and HTML documents. Package vignettes illustrate use and
    functionality.
Version: 2.22.0
Authors@R: c(
        person("Andrzej", "Oleś", role = "aut",
            comment = c(ORCID = "0000-0003-0285-2787")
        ), 
        person("Mike", "Smith", role = "ctb",
            comment = c(ORCID = "0000-0002-7800-3848")
        ),
        person("Martin", "Morgan", role = "ctb"),
        person("Wolfgang", "Huber", role = "ctb"),
        person("Bioconductor Package", role = "cre",
            email = "maintainer@bioconductor.org")
        )
Imports: bookdown, knitr (>= 1.30), rmarkdown (>= 1.2), stats, utils,
        yaml, BiocManager
Suggests: BiocGenerics, RUnit, htmltools
biocViews: Software
License: Artistic-2.0
VignetteBuilder: knitr
Encoding: UTF-8
URL: https://github.com/Bioconductor/BiocStyle
BugReports: https://github.com/Bioconductor/BiocStyle/issues
RoxygenNote: 6.1.0
git_url: https://git.bioconductor.org/packages/BiocStyle
git_branch: RELEASE_3_14
git_last_commit: 86250b6
git_last_commit_date: 2021-10-26
Date/Publication: 2021-10-26
NeedsCompilation: no
Packaged: 2021-10-26 20:55:00 UTC; biocbuild
Author: Andrzej Oleś [aut] (<https://orcid.org/0000-0003-0285-2787>),
  Mike Smith [ctb] (<https://orcid.org/0000-0002-7800-3848>),
  Martin Morgan [ctb],
  Wolfgang Huber [ctb],
  Bioconductor Package [cre]
Maintainer: Bioconductor Package <maintainer@bioconductor.org>

=== debian/changelog ===
r-bioc-biocstyle (2.22.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Provide autopkgtest-pkg-r.conf to make sure testthat will be found
  * Drop debian/tests/control and rely on autopkgtest-pkg-r

 -- Andreas Tille <tille@debian.org>  Wed, 24 Nov 2021 15:54:01 +0100

r-bioc-biocstyle (2.20.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)

 -- Nilesh Patra <nilesh@debian.org>  Tue, 31 Aug 2021 21:00:59 +0530

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
-#Testsuite: autopkgtest-pkg-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-r,
@@ -12,7 +12,7 @@
                r-cran-rmarkdown,
                r-cran-yaml,
                r-cran-biocmanager
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-biocstyle
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-biocstyle.git
 Homepage: https://bioconductor.org/packages/BiocStyle/

## r-bioc-biocstyle 2.24.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Description: Provides standard formatting styles for Bioconductor PDF
     and HTML documents. Package vignettes illustrate use and
     functionality.
-Version: 2.22.0
+Version: 2.24.0
 Authors@R: c(
         person("Andrzej", "Oleś", role = "aut",
             comment = c(ORCID = "0000-0003-0285-2787")
@@ -27,12 +27,12 @@
 BugReports: https://github.com/Bioconductor/BiocStyle/issues
 RoxygenNote: 6.1.0
 git_url: https://git.bioconductor.org/packages/BiocStyle
-git_branch: RELEASE_3_14
-git_last_commit: 86250b6
-git_last_commit_date: 2021-10-26
-Date/Publication: 2021-10-26
+git_branch: RELEASE_3_15
+git_last_commit: 53095b5
+git_last_commit_date: 2022-04-26
+Date/Publication: 2022-04-26
 NeedsCompilation: no
-Packaged: 2021-10-26 20:55:00 UTC; biocbuild
+Packaged: 2022-04-26 20:05:25 UTC; biocbuild
 Author: Andrzej Oleś [aut] (<https://orcid.org/0000-0003-0285-2787>),
   Mike Smith [ctb] (<https://orcid.org/0000-0002-7800-3848>),
   Martin Morgan [ctb],

=== debian/changelog ===
r-bioc-biocstyle (2.24.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 12 May 2022 10:35:59 +0200

## r-bioc-biocstyle 2.26.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Description: Provides standard formatting styles for Bioconductor PDF
     and HTML documents. Package vignettes illustrate use and
     functionality.
-Version: 2.24.0
+Version: 2.26.0
 Authors@R: c(
         person("Andrzej", "Oleś", role = "aut",
             comment = c(ORCID = "0000-0003-0285-2787")
@@ -27,12 +27,12 @@
 BugReports: https://github.com/Bioconductor/BiocStyle/issues
 RoxygenNote: 6.1.0
 git_url: https://git.bioconductor.org/packages/BiocStyle
-git_branch: RELEASE_3_15
-git_last_commit: 53095b5
-git_last_commit_date: 2022-04-26
-Date/Publication: 2022-04-26
+git_branch: RELEASE_3_16
+git_last_commit: add0354
+git_last_commit_date: 2022-11-01
+Date/Publication: 2022-11-01
 NeedsCompilation: no
-Packaged: 2022-04-26 20:05:25 UTC; biocbuild
+Packaged: 2022-11-01 20:56:34 UTC; biocbuild
 Author: Andrzej Oleś [aut] (<https://orcid.org/0000-0003-0285-2787>),
   Mike Smith [ctb] (<https://orcid.org/0000-0002-7800-3848>),
   Martin Morgan [ctb],

=== debian/changelog ===
r-bioc-biocstyle (2.26.0+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sun, 20 Nov 2022 10:29:52 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                r-cran-rmarkdown,
                r-cran-yaml,
                r-cran-biocmanager
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-biocstyle
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-biocstyle.git
 Homepage: https://bioconductor.org/packages/BiocStyle/

## r-bioc-biocstyle 2.28.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Description: Provides standard formatting styles for Bioconductor PDF
     and HTML documents. Package vignettes illustrate use and
     functionality.
-Version: 2.26.0
+Version: 2.28.0
 Authors@R: c(
         person("Andrzej", "Oleś", role = "aut",
             comment = c(ORCID = "0000-0003-0285-2787")
@@ -27,12 +27,12 @@
 BugReports: https://github.com/Bioconductor/BiocStyle/issues
 RoxygenNote: 6.1.0
 git_url: https://git.bioconductor.org/packages/BiocStyle
-git_branch: RELEASE_3_16
-git_last_commit: add0354
-git_last_commit_date: 2022-11-01
-Date/Publication: 2022-11-01
+git_branch: RELEASE_3_17
+git_last_commit: b358aa5
+git_last_commit_date: 2023-04-25
+Date/Publication: 2023-04-25
 NeedsCompilation: no
-Packaged: 2022-11-01 20:56:34 UTC; biocbuild
+Packaged: 2023-04-25 20:20:11 UTC; biocbuild
 Author: Andrzej Oleś [aut] (<https://orcid.org/0000-0003-0285-2787>),
   Mike Smith [ctb] (<https://orcid.org/0000-0002-7800-3848>),
   Martin Morgan [ctb],

=== debian/changelog ===
r-bioc-biocstyle (2.28.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Patch Bioconductor.sty to fix autopkgtest for TeXLive 2023
    Closes: #1050807

 -- Hilmar Preusse <hille42@web.de>  Fri, 01 Sep 2023 23:39:35 +0200

r-bioc-biocstyle (2.28.0+dfsg-1) unstable; urgency=medium

  * Disable reprotest
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Reduce piuparts noise in transitions (routine-update)
  * Manually set Test-Depends

 -- Andreas Tille <tille@debian.org>  Tue, 18 Jul 2023 12:51:59 +0200

=== debian/control ===
--- 
+++ 
@@ -8,11 +8,11 @@
                dh-r,
                r-base-dev,
                r-cran-bookdown,
-               r-cran-knitr (>= 1.30),
+               r-cran-knitr,
                r-cran-rmarkdown,
                r-cran-yaml,
                r-cran-biocmanager
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-biocstyle
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-biocstyle.git
 Homepage: https://bioconductor.org/packages/BiocStyle/

## r-bioc-biocstyle 2.30.0%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,6 @@
 Architecture: all
 Depends: ${R:Depends},
          ${misc:Depends},
-# <dh-update-R>do not delete this</dh-update-R>
          texlive-bibtex-extra
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}

## r-bioc-biocstyle 2.30.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Description: Provides standard formatting styles for Bioconductor PDF
     and HTML documents. Package vignettes illustrate use and
     functionality.
-Version: 2.28.0
+Version: 2.30.0
 Authors@R: c(
         person("Andrzej", "Oleś", role = "aut",
             comment = c(ORCID = "0000-0003-0285-2787")
@@ -27,12 +27,12 @@
 BugReports: https://github.com/Bioconductor/BiocStyle/issues
 RoxygenNote: 6.1.0
 git_url: https://git.bioconductor.org/packages/BiocStyle
-git_branch: RELEASE_3_17
-git_last_commit: b358aa5
-git_last_commit_date: 2023-04-25
-Date/Publication: 2023-04-25
+git_branch: RELEASE_3_18
+git_last_commit: 48deba5
+git_last_commit_date: 2023-10-24
+Date/Publication: 2023-10-24
 NeedsCompilation: no
-Packaged: 2023-04-25 20:20:11 UTC; biocbuild
+Packaged: 2023-10-24 20:26:43 UTC; biocbuild
 Author: Andrzej Oleś [aut] (<https://orcid.org/0000-0003-0285-2787>),
   Mike Smith [ctb] (<https://orcid.org/0000-0002-7800-3848>),
   Martin Morgan [ctb],

=== debian/changelog ===
r-bioc-biocstyle (2.30.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Drop upstream patch
  * Drop Breaks which became unneeded

 -- Andreas Tille <tille@debian.org>  Thu, 30 Nov 2023 07:29:02 +0100

r-bioc-biocstyle (2.28.1+dfsg-1) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * Breaks: texlive-latex-recommended (<< 2023.20230613)

  [ Charles Plessy ]
  * New upstream version
  * Refreshed Bioconductor.sty patch.

 -- Charles Plessy <plessy@debian.org>  Tue, 19 Sep 2023 23:54:46 +0000

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dh-r/r-cran.mk

%:
	dh $@ --buildsystem R

override_dh_link:
	dh_link
	dh_link usr/share/texlive/texmf-dist/bibtex/bst/urlbst/unsrturl.bst $(debRdir)/$(cranNameOrig)/resources/tex/unsrturl.bst

override_dh_install:
	dh_install
	# For whatever reason this test is failing - remove it for the moment
	find debian -name test_pdf_document.R -delete

## r-bioc-biocstyle 2.32.1+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Description: Provides standard formatting styles for Bioconductor PDF
     and HTML documents. Package vignettes illustrate use and
     functionality.
-Version: 2.30.0
+Version: 2.32.1
 Authors@R: c(
         person("Andrzej", "Oleś", role = "aut",
             comment = c(ORCID = "0000-0003-0285-2787")
@@ -27,12 +27,13 @@
 BugReports: https://github.com/Bioconductor/BiocStyle/issues
 RoxygenNote: 6.1.0
 git_url: https://git.bioconductor.org/packages/BiocStyle
-git_branch: RELEASE_3_18
-git_last_commit: 48deba5
-git_last_commit_date: 2023-10-24
-Date/Publication: 2023-10-24
+git_branch: RELEASE_3_19
+git_last_commit: bd5e829
+git_last_commit_date: 2024-06-15
+Repository: Bioconductor 3.19
+Date/Publication: 2024-06-16
 NeedsCompilation: no
-Packaged: 2023-10-24 20:26:43 UTC; biocbuild
+Packaged: 2024-06-16 20:24:03 UTC; biocbuild
 Author: Andrzej Oleś [aut] (<https://orcid.org/0000-0003-0285-2787>),
   Mike Smith [ctb] (<https://orcid.org/0000-0002-7800-3848>),
   Martin Morgan [ctb],

=== debian/changelog ===
r-bioc-biocstyle (2.32.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 16 Aug 2024 13:23:41 +0200

r-bioc-biocstyle (2.32.1+dfsg-1~0exp2) experimental; urgency=medium

  * Team upload.
  * d/control: Add unmanaged dependency on a newer (bioc-3.19)
    r-bioc-biocversion. r-cran-biocmanager does also depend on that package,
    but it is unversioned.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 03 Aug 2024 11:34:54 +0200

r-bioc-biocstyle (2.32.1+dfsg-1~0exp1) experimental; urgency=medium

  * Team upload.
  * d/tests/autopkgtest-pkg-r.conf: bump minimum versions of r-bioc-*
    packages to bioc-3.19+ versions

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 23 Jul 2024 15:11:01 +0200

r-bioc-biocstyle (2.32.1+dfsg-1~0exp) experimental; urgency=low

  * Team upload.
  * New upstream version
  * Set upstream metadata fields: Archive.
  * d/tests/autopkgtest-pkg-r.conf: skip on 32-bit architectures.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 09 Jul 2024 17:47:43 +0200

## r-bioc-biocstyle 2.34.0+dfsg

=== DESCRIPTION ===
Package: BiocStyle
Title: Standard styles for vignettes and other Bioconductor documents
Description: Provides standard formatting styles for Bioconductor PDF
    and HTML documents. Package vignettes illustrate use and
    functionality.
Version: 2.34.0
Authors@R: c(
        person("Andrzej", "Oleś", role = "aut",
            comment = c(ORCID = "0000-0003-0285-2787")
        ), 
        person("Mike", "Smith", role = "ctb",
            comment = c(ORCID = "0000-0002-7800-3848")
        ),
        person("Martin", "Morgan", role = "ctb"),
        person("Wolfgang", "Huber", role = "ctb"),
        person("Bioconductor Package Maintainer", role = "cre",
            email = "maintainer@bioconductor.org")
        )
Imports: bookdown, knitr (>= 1.30), rmarkdown (>= 1.2), stats, utils,
        yaml, BiocManager
Suggests: BiocGenerics, RUnit, htmltools
biocViews: Software
License: Artistic-2.0
VignetteBuilder: knitr
Encoding: UTF-8
URL: https://github.com/Bioconductor/BiocStyle
BugReports: https://github.com/Bioconductor/BiocStyle/issues
RoxygenNote: 6.1.0
git_url: https://git.bioconductor.org/packages/BiocStyle
git_branch: RELEASE_3_20
git_last_commit: 0a04242
git_last_commit_date: 2024-10-29
Repository: Bioconductor 3.20
Date/Publication: 2024-10-29
NeedsCompilation: no
Packaged: 2024-10-29 23:43:00 UTC; biocbuild
Author: Andrzej Oleś [aut] (<https://orcid.org/0000-0003-0285-2787>),
  Mike Smith [ctb] (<https://orcid.org/0000-0002-7800-3848>),
  Martin Morgan [ctb],
  Wolfgang Huber [ctb],
  Bioconductor Package Maintainer [cre]
Maintainer: Bioconductor Package Maintainer <maintainer@bioconductor.org>

=== debian/changelog ===
r-bioc-biocstyle (2.34.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 01 Nov 2024 07:10:19 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,9 @@
                r-cran-knitr,
                r-cran-rmarkdown,
                r-cran-yaml,
-               r-cran-biocmanager
+               r-cran-biocmanager,
+               xdg-utils,
+               r-bioc-biocversion (>= 3.19.1)
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-biocstyle
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-biocstyle.git
@@ -22,7 +24,10 @@
 Architecture: all
 Depends: ${R:Depends},
          ${misc:Depends},
-         texlive-bibtex-extra
+         texlive-bibtex-extra,
+         xdg-utils,
+         r-bioc-biocversion (>= 3.19.1),
+         r-bioc-biocgenerics (>= 0.50.0)
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}
 Description: standard styles for vignettes and other Bioconductor documents

=== debian/watch ===
version=4
opts="downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc?,repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
https://bioconductor.org/packages/release/bioc/html/BiocStyle.html .*/BiocStyle_(.*).tar.gz
